<%inherit file="dashboard.phtml"/>
<%block name="content">
<%

from settings import config
 
%>
<div class="title">
${lang('monit', 'add_alerts', 'Add alerts')}
</div>
<div class="cont">
<p>
    Add predeterminated alerts: 
    <select name="pre_alerts" id="pre_alerts">
        
        % for type_alert, alert in pre_alerts.items():
        
        <option value="${type_alert}">${alert[0]}</option>
        
        % endfor
        
    </select>
    <!--<input type="button" value="Add alert" id="add_alert" />-->
</p>
<p>
</p>
<div id="form_pre_alert" style="display:none;">
    <h3>Add predeterminated alert</h3>
    <form method="post" action="#" id="add_alert_form">
        <p id="type_alert"></p>
        <p><label for="type_alert" id="type_alert"><input type="hidden" name="type_alert" value="" id="type_alert_form" /></label></p>
        <p><label for="name">Name</label>: <input type="text" name="name" /></p>
        <p><label for="webhook">Webhook</label>: <input type="text" name="webhook" /></p>
        <p><input type="submit" value="Add alert" /> <input type="button" value="Close form" onclick="$('#form_pre_alert').hide();" /></p>
    </form>
    <span class="error" id="error_alert"></span>
</div>
<span id="added_alert_success" style="display:none;"><strong>Alert edited successfully</strong></span>
</div>
<h2>Alerts list</h2>
<div id="table_servers">
</div>
</%block>
<%block name="jscript_block">
<script language="Javascript" src="${make_media_url('js/jsutils/ajax_list.js', 'monit')}"></script>
<script language="Javascript" src="${make_media_url('js/jsutils/posting2.js', 'monit')}"></script>
<script>

options={'url': "${url_for('.monit_get_alerts')}"};    

alist=$('#table_servers').ajaxList('table_list', options);

/*pre_alerts={'cpu_alert': 'High CPU alert', 'disk_alert': 'High Disk use', 'net_alert': 'High Net alert'};

for(i in pre_alerts) {

    $('#pre_alerts').append('<option value="'+i+'" id="'+i+'_option">'+pre_alerts[i]+'</option>');

}*/

$('#pre_alerts').click( function () {

    if($('#pre_alerts').val()!='') {
    
        $('#form_pre_alert').show();
        
        type_alert=$('#pre_alerts').val();
        
        $('#type_alert').html(pre_alerts[type_alert]);
        
        $('#type_alert_form').val(type_alert);

    }
    else {
    
        $('#form_pre_alert').hide();
    
    }

});

/* options: url: url to post, loading: dom id, success: func, pre_callback, separated_data:boolean, upload: {progressbar: '#progressbar', 'total_loader': '#total_loader', 'status': '#status'} */

options={url: "${url_for('admin_app.monit_add_alert')}", loading: '#layer_loading', success: function (data) {
    
        var options={'url': "${url_for('.monit_get_alerts')}"};    
            
        alist.updateAjax('table_list', options, 0);
    
        $('#added_alert_success').show();
        
        $('#form_pre_alert').hide();
        /*console.log('#'+data.type_alert+'_option');
        $('#'+data.type_alert+'_option').remove();*/
        
        setTimeout(function () {
            
            $('#added_alert_success').fadeOut();
            
        }, 3000);
    
    }
};

$('#add_alert_form').sendPost(options);

//.delete_alert

$('body').on('click', '.delete_alert', function ()  {

    $('#layer_loading').show();

    $.ajax({
        url: $(this).attr('href'),
        data: {},
        success: function (data) {
        
            $('#layer_loading').hide();

            var options={'url': "${url_for('.monit_get_alerts')}"};    
            
            alist.updateAjax('table_list', options, 0);
        
        },
        error: function () {
        
            $('#layer_loading').hide();
            alert('Error: '+data.status+' '+data.statusText);
            
        },
        dataType: 'json'
    });
    
    return false;

});

</script>
</%block>
